Die Foren-SW läuft ohne erkennbare Probleme. Sollte doch etwas nicht funktionieren, bitte gerne hier jederzeit melden und wir kümmern uns zeitnah darum. Danke!

VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Alles zum Thema vSphere 6.5, ESXi 6.5 und vCenter Server.

Moderatoren: irix, continuum, Dayworker

Member
Beiträge: 2
Registriert: 04.09.2020, 13:06

VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Beitragvon n.krausse » 09.09.2020, 10:11

Hallo,
seitdem ich den neuesten Patch für ESXi6.5 (ESXi650-202007001 / Build 16576891) installiert habe, kann ich eine VM mit einer per Passtrough durchgereichten FC-Karte (LPe32000) nicht mehr bearbeiten. Andere VMs ohne Passtrough-Devices können problemlos angepasst werden.
Der Zugriff erfolgt über die WebGUI, vCenter ist noch nicht im Einsatz - ist für nächstes Jahr geplant.

Als Fehlermeldung kommt nur das wenig aussagekräftige "Leider ist ein unerwarteter Fehler aufgetreten". Interessanterweise weicht auch die Build-Number bei der Fehlermeldung von der angezeigten des Hosts ab.

Details:
Ursache: Possibly unhandled rejection: {}
Version: 1.34.2
Build: 16361878
ESXi: 6.5.0
Browser: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0

Ausnahmestapel:

populatePCIDevices@https://192.168.xx.xx/ui/scripts/main.js:373:28162
initDialogData/<@https://192.168.xx.xx/ui/scripts/main.js:374:14725
$delegate.spread/<@https://192.168.xx.xx/ui/scripts/main.js:428:16782
k/<@https://192.168.xx.xx/ui/scripts/main.js:326:23176
$digest@https://192.168.xx.xx/ui/scripts/main.js:326:28780
$evalAsync/<@https://192.168.xx.xx/ui/scripts/main.js:326:30503
e@https://192.168.xx.xx/ui/scripts/main.js:325:10071
tg/h.defer/c<@https://192.168.xx.xx/ui/scripts/main.js:325:11522

Getestet mit verschiedenen Browsern (FF 78.1 / 78.1, IE, Edge).

Hat hier jemand eine Idee, wie ich das beheben kann oder ist das schon bei VMware bekannt?

Herzlichen Dank.

Guru
Beiträge: 2449
Registriert: 23.02.2012, 12:26

Re: VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Beitragvon ~thc » 09.09.2020, 12:21

Die Buildnummer gehört zum Paket "esxui" (siehe Anhang) und ist aktuell.

Die Ausnahme betrifft also "nur" das UI.

Du kannst Chrome als Browser probieren. Du kannst einen Patch-Rollback durchführen. Du kannst probieren, ob die VM (durch den Rollback) ohne Passthough und erneutem Update bearbeitbar bleibt und wieder mit dem PCI-Gerät versorgt werden kann...
Dateianhänge
esxui.png

Member
Beiträge: 2
Registriert: 04.09.2020, 13:06

Re: VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Beitragvon n.krausse » 10.09.2020, 12:20

Danke für die Tips.
Mit Chrome funktioniert es ebenfalls nicht. Den Rollback werde ich bei Gelegenheit mal probieren. Ohne Passtrough ist die VM bearbeitbar (an einer älteren VM getestet).
Die VM selbst läuft weiter, es ist aufgefallen, weil sie auf einen anderen Server umziehen sollte und dafür die Passtrough-Karte entfernt werden sollte.
Wenn es hier keinen Patch seitens VMware gibt, der das behebt, werde ich das erstmal zurückstellen.

King of the Hill
Beiträge: 13222
Registriert: 01.10.2008, 12:54
Wohnort: laut USV-Log am Ende der Welt...

Re: VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Beitragvon Dayworker » 11.09.2020, 06:49

Du kannst die VM auch einfach umziehen, änderst die VM manuell per WinSCP etc am neuen Platz und registrierst sie erst mit der geänderten Config. Das wäre zumindest meine Vorgehensweise.

Member
Beiträge: 1
Registriert: 03.10.2020, 11:02

Re: VM mit Passtrough-Device kann nicht mehr bearbeitet werden

Beitragvon dropbrick » 07.10.2020, 14:28

Hi,
Sorry to write in English here but I have your exact same problem and nothing online apart this forum thread.

I can't edit any VM using PCI passthrough from the WebUI and I'm on the latest ESXi 6.7U3 and webUI 1.34.2

The problem is not browser specific as it happens on different machines and browsers. I can make the problem go away if I edit manually the vmx file for the VM and remove the PCI passthrough lines...then I can edit as expected the VM from the webUI...but as soon as I add the PCI devices back in and save, I'm back to square one.

[root@vmware:/vmfs/volumes/5f34f748-7e15f4f0-3753-78e7d1c7463a/CentOS7-full] esxcli software vib list | grep esx
elx-esx-libelxima.so 11.4.1184.2-3.89.15160138 VMware VMwareCertified 2020-09-21
esx-base 6.7.0-3.116.16713306 VMware VMwareCertified 2020-09-21
esx-dvfilter-generic-fastpath 6.7.0-0.0.8169922 VMware VMwareCertified 2020-09-21
esx-ui 1.34.2-16361878 VMware VMwareCertified 2020-09-21
esx-update 6.7.0-3.116.16713306 VMware VMwareCertified 2020-09-21
esx-xserver 6.7.0-3.73.14320388 VMware VMwareCertified 2020-09-21
vmware-esx-esxcli-nvme-plugin 1.2.0.36-3.96.13932383 VMware VMwareCertified 2020-08-13



Error in esxi


Cause: Possibly unhandled rejection: {}
Version: 1.34.2
Build: 16361878
ESXi: 6.7.0
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/85.0.4183.121 Safari/537.36

Exception stack:

TypeError: Right-hand side of 'instanceof' is not an object
at populatePCIDevices (https://192.168.5.150/ui/scripts/main.js:373:28140)
at https://192.168.5.150/ui/scripts/main.js:374:14725
at https://192.168.5.150/ui/scripts/main.js:428:16782
at https://192.168.5.150/ui/scripts/main.js:326:23176
at m.$digest (https://192.168.5.150/ui/scripts/main.js:326:28780)
at https://192.168.5.150/ui/scripts/main.js:326:30503
at e (https://192.168.5.150/ui/scripts/main.js:325:10071)
at https://192.168.5.150/ui/scripts/main.js:325:11522


####################
####SOLUTION, remove new esx-ui and install the previous version. This FIXED my problem.
####################


[root@vmware:~] esxcli software vib remove -n esx-ui
Removal Result
Message: Operation finished successfully.
Reboot Required: false
VIBs Installed:
VIBs Removed: VMware_bootbank_esx-ui_1.34.2-16361878
VIBs Skipped:

esxcli software vib install -v https://hostupdate.vmware.com/software/ ... 803439.vib


Zurück zu „vSphere 6.5“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast